## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name pillow_jxl_plugin

Name:           python-pillow-jxl-plugin
Version:        1.3.3
Release:        %autorelease
Summary:        Pillow plugin for JPEG-XL
# GPL-3.0-or-later for code
# CC-BY and CC-BY-SA for test images
SourceLicense:  GPL-3.0-or-later and CC-BY-4.0 and CC-BY-SA-4.0

# GPL-3.0-or-later
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        GPL-3.0-or-later AND MIT AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

URL:            https://github.com/Isotr0py/pillow-jpegxl-plugin
Source:         %{pypi_source %{pypi_name}}

# drop custom build system that is unnecessary and only breaks stuff
Patch:          0001-Unconditionally-dynamically-link-libjxl.patch

# (deps): Update pyo3 requirement from 0.24.0 to 0.25.1
# https://github.com/Isotr0py/pillow-jpegxl-plugin/pull/107
Patch:          %{url}/pull/107.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  python3-devel
BuildRequires:  jpegxl-devel
BuildRequires:  libstdc++-devel

%global _description %{expand:
Pillow plugin for JPEG-XL, using Rust for bindings.}

%description %{_description}

%package     -n python3-pillow-jxl-plugin
Summary:        Pillow plugin for JPEG-XL

%description -n python3-pillow-jxl-plugin %{_description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1
%cargo_prep

%generate_buildrequires
%pyproject_buildrequires
%cargo_generate_buildrequires

%build
# write license summary and breakdown
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l pillow_jxl

%check
%pyproject_check_import

%files -n python3-pillow-jxl-plugin -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Thu Jun 19 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.3-3
- Update PyO3 dependency to 0.25.1

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1.3.3-2
- Rebuilt for Python 3.14

* Tue May 20 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.3-1
- Update to version 1.3.3; Fixes RHBZ#2366625

* Tue May 20 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.2-3
- Ensure LICENSE.dependencies is installed
- Write it before we build the wheel.

* Tue May 20 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.2-2
- We can now rely on maturin to handle the LICENSE in dist-info

* Thu Mar 27 2025 Neal Gompa <ngompa@fedoraproject.org> - 1.3.2-1
- Initial import into Fedora (rhbz#2354261)
## END: Generated by rpmautospec
